Subject: Poor drainage?

From: [email-masked] (Juanita Barone)
Date: Wed, 15 Mar 1995 17:24:49 GMT

I have a question on creating good drainage.  I have a raised bed that is
2/3's  compost and 1/3 clay loam.  All of my flowers did well last year 
except for those that need good drainage i.e dianthus, lychnis coronaria,
armeria (thrift). I had rotting roots and crowns which I attributed  to 
drainage.  I thought that I should add lots of course sand in 
the area of these plants, but at a garden I was visiting, the man in charge
said to add lots of vermiculite.  Since I have a source of free vermiculite
and can get plenty I thought I would do this, but doesn't vermiculite
hold water.  Wouldn't this be exactly the wrong thing to do?  I also thought
I would use gravel under the plants to keep moisture off the leaves.  What do
you think?  Thanks Nita